Subject: Re: linux-next: manual merge of the kselftest tree with the mm tree

From: Shuah Khan <[email-masked]>
Date: Sat, 27 Apr 2024 03:27:41 -0600

On 4/25/24 23:44, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the kselftest tree got a conflict in:
> 
>    tools/testing/selftests/mm/soft-dirty.c
> 
> between commit:
> 
>    258ff696db6b ("selftests/mm: soft-dirty should fail if a testcase fails")
> 
> from the mm-unstable branch of the mm tree and commit:
> 
>    e6162a96c81d ("selftests/mm: ksft_exit functions do not return")
> 
> from the kselftest tree.
> 
> I fixed it up (I used the former) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.
> 

Thank you Stephen. I will keep track of this when I send pull request to Linus.

thanks,
-- Shuah